Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get order

Gets a single order including its lines.

GET/api/v2/{team_slug}/{app_slug}/orders/{order_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
order_idstring<uuid>required
Responses
200

OK

dataOrderrequired
Show properties
idUUIDrequired
sourcestringrequired
statusstringrequired
session_idstring | null
country_codestring | null
currency_codestring | null
language_codestring | null
sub_totalnumber | null
tax_totalnumber | null
discount_totalnumber | null
shipping_totalnumber | null
gift_card_totalnumber | null
bonus_totalnumber | null
grand_totalnumber | null
referencestring | null
payment_method_idstring | null
payment_method_namestring | null
payment_methodstring | null
shipping_methodsstring[]
linesOrderLineBase[] | null
Show properties
Array of OrderLineBase
idUUIDrequired
order_idUUIDrequired
variant_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
product_idUUID | null
Show properties
Any of:
UUID
UUID
null
null
tax_group_idUUID | null
Show properties
Any of:
UUID
UUID
null
null
currency_codestring | null
quantityinteger | null
base_price_amountnumber | null
total_discount_amountnumber | null
total_sale_pricenumber | null
total_tax_amountnumber | null
total_price_amountnumber | null
product_namestring | null
product_numberstring | null
variant_namestring | null
variant_numberstring | null
short_descriptionstring | null
first_image_pathstring | null
created_atstring<date-time>required
updated_atstring<date-time> | null
billing_addressOrderAddress | null
Show properties
Any of:
OrderAddress
idUUIDrequired
country_codestring | null
state_or_provincestring | null
street_addressstring | null
street_address_2string | null
citystring | null
postal_codestring | null
given_namestring | null
family_namestring | null
emailstring | null
telephone_numberstring | null
address_typestringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
null
null
shipping_addressOrderAddress | null
Show properties
Any of:
OrderAddress
idUUIDrequired
country_codestring | null
state_or_provincestring | null
street_addressstring | null
street_address_2string | null
citystring | null
postal_codestring | null
given_namestring | null
family_namestring | null
emailstring | null
telephone_numberstring | null
address_typestringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
null
null
discountsOrderDiscount[]
Show properties
Array of OrderDiscount
idUUIDrequired
discount_idstringrequired
order_idUUIDrequired
namestringrequired
created_atstring<date-time>required
updated_atstring<date-time> | null
merchant_userOrderMerchantUser | null
Show properties
Any of:
OrderMerchantUser
idUUIDrequired
namestring
surnamestring
emailstring
null
null
created_atstring<date-time>required
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "source": "string",
    "status": "string",
    "session_id": "string",
    "country_code": "string",
    "currency_code": "string",
    "language_code": "string",
    "sub_total": 0,
    "tax_total": 0,
    "discount_total": 0,
    "shipping_total": 0,
    "gift_card_total": 0,
    "bonus_total": 0,
    "grand_total": 0,
    "reference": "string",
    "payment_method_id": "string",
    "payment_method_name": "string",
    "payment_method": "string",
    "shipping_methods": [
      "string"
    ],
    "lines": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",
        "variant_id": "8a2d415d-59aa-4132-bef3-011f97c4a0f6",
        "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
        "tax_group_id": "4496f79f-aa1a-4128-84f5-5c1c0836a341",
        "currency_code": "string",
        "quantity": 0,
        "base_price_amount": 0,
        "total_discount_amount": 0,
        "total_sale_price": 0,
        "total_tax_amount": 0,
        "total_price_amount": 0,
        "product_name": "string",
        "product_number": "string",
        "variant_name": "string",
        "variant_number": "string",
        "short_description": "string",
        "first_image_path": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "billing_address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "country_code": "string",
      "state_or_province": "string",
      "street_address": "string",
      "street_address_2": "string",
      "city": "string",
      "postal_code": "string",
      "given_name": "string",
      "family_name": "string",
      "email": "string",
      "telephone_number": "string",
      "address_type": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    },
    "shipping_address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "country_code": "string",
      "state_or_province": "string",
      "street_address": "string",
      "street_address_2": "string",
      "city": "string",
      "postal_code": "string",
      "given_name": "string",
      "family_name": "string",
      "email": "string",
      "telephone_number": "string",
      "address_type": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    },
    "discounts": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "discount_id": "string",
        "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",
        "name": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "merchant_user": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "surname": "string",
      "email": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}